Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85646 - Run Tests Dialog Output pane stops filling with text
Summary: Run Tests Dialog Output pane stops filling with text
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: eCos
Classification: Retired
Component: ConfigTool
Version: 2.0 beta 1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: John Dallaway
QA Contact: John Dallaway
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-05 15:29 UTC by John Dallaway
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version: 2.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-01 11:55:29 UTC


Attachments (Terms of Use)

Description John Dallaway 2003-03-05 15:29:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; T312461)

Description of problem:
When running many eCos tests, the Output pane of the Run Tests dialog box will 
stop filling with text after a while. Tests continue to run and are reported in 
the Summary pane.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Build the eCos tests for target psim, tempate all.
2. Run all tests via the Run Tests dialog.
3.
    

Actual Results:  The output of the tests seen in the output pane stops after a 
while (in my case following kernel test kclock0).

Expected Results:  The output of _all_ tests should appear in the output pane.

Additional info:

Observed with the Visual C++ build of eCos Confuguration Tool 1.12.net (eCos 
2.0b1) on Windows 98SE. When I observed this problem, the Output pane contained 
60,969 bytes (measured by cutting and pasting text into a file).

Comment 1 Jonathan Larmour 2003-03-05 15:58:59 UTC
Out of interest, I haven't seen this in my viper testing on Linux. My windows
testing isn't complete yet though so it may still exist there.

Comment 2 John Dallaway 2003-05-01 11:55:29 UTC
The configtool was using the Windows edit control which is limited to about 64k 
characters. The tool now uses the Windows _rich_ edit control which does not 
have this limitation.


Note You need to log in before you can comment on or make changes to this bug.